Sonochan II 0.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
uac1_usb_specific_request.c File Reference

Processing of USB device specific enumeration requests. More...

`#include "conf_usb.h"`
`#include "usb_drv.h"`
`#include "usb_descriptors.h"`
`#include "uac1_usb_descriptors.h"`
`#include "usb_standard_request.h"`
`#include "usb_specific_request.h"`
`#include "usart.h"`
`#include "pm.h"`
`#include "usb_audio.h"`
`#include "device_audio_task.h"`
`#include "uac1_device_audio_task.h"`
`#include "cs2200.h"`
`#include "print_funcs.h"`
`#include <stdio.h>`

## Macros
#define | VOL_MIN (S16)0x8000
| Remove to sync_control.* More...
#define | VOL_MAX (S16)0x7FFF
#define | VOL_RES 0x000A

## Functions
void | uac1_user_endpoint_init (U8 conf_nb)
| This function configures the endpoints of the device application. This function is called when the set configuration request has been received. More...
void | uac1_user_set_interface (U8 wIndex, U8 wValue)
| This function handles usb_set_interface side effects. This function is called from usb_set_interface in usb_standard_request in case there are side effects of the interface change to be handled. More...
static Bool | uac1_user_get_interface_descriptor ()

## Variables
static U8 | usb_type
static U8 | wValue_msb
static U8 | wValue_lsb
static U16 | wIndex
static U16 | wLength
static U8 | speed = 1
const void * | pbuffer
U16 | data_to_transfer

## Detailed Description

Processing of USB device specific enumeration requests.

This file contains the specific request decoding for enumeration process.

- Compiler: IAR EWAVR32 and GNU GCC for AVR32
- Supported devices: All AVR32 devices with a USB module can be used.
- AppNote:

Author
  Atmel Corporation: http://www.atmel.com
  Support and FAQ: http://support.atmel.no/

## Macro Definition Documentation

#define VOL_MAX (S16)0x7FFF

#define VOL_MIN (S16)0x8000

Remove to sync_control.*

#define VOL_RES 0x000A

## Function Documentation

static Bool uac1_user_get_interface_descriptor | ( | ) |  |
| static

< clear the setup received flag

< zero length packet condition

< send only requested number of data bytes

< Send data until necessary

This function manages hid set idle request.

Parameters

  Duration | When the upper byte of wValue is 0 (zero), the duration is indefinite else from 0.004 to 1.020 seconds
  Report | ID 0 the idle rate applies to all input reports, else only applies to the Report ID

This function manages hid get idle request.

Parameters

  Report | ID 0 the idle rate applies to all input reports, else only applies to the Report ID

This function is called by the standard USB read request function when the USB request is not supported. This function returns TRUE when the request is processed. This function returns FALSE if the request is not supported. In this case, a STALL handshake will be automatically sent by the standard USB read request function.

< send a ZLP for STATUS phase

< waits for status phase done

Set MIN,MAX and RES not supported

## Variable Documentation

U16 data_to_transfer

const void* pbuffer

U8 speed = 1
| static

U8 usb_type
| static

U16 wIndex
| static

U16 wLength
| static

U8 wValue_lsb
| static

U8 wValue_msb
| static